Package com.avaya.clientservices.media.gui

## Class BitmapPlane

- java.lang.Object
- - com.avaya.clientservices.media.gui.Plane
  - - com.avaya.clientservices.media.gui.BitmapPlane

- All Implemented Interfaces:
    `Destroyable`, `Positionable`, `Renderable`, `Touchable`

      public class BitmapPlane
      extends Plane
      implements Destroyable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BitmapPlane()` | Constructor
    `BitmapPlane​(android.content.Context context)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()`
    `BitmapLayer` | `getBitmapLayer()` | Gets the underlying `BitmapLayer`.
    `void` | `onDrawFrame​(double time)`
    `void` | `onSurfaceChanged​(int width, int height)`
    `void` | `onSurfaceCreated()`
    `boolean` | `onTouchEvent​(double time, android.view.MotionEvent event, int surfaceHeight)`
    `void` | `setBitmap​(android.graphics.Bitmap bitmap)` | Sets the bitmap to be rendered.
    `void` | `setBitmapPlaneListener​(BitmapPlaneListener bitmapPlaneListener)` | Sets the `BitmapPlaneListener`.
    `void` | `setGravity​(int gravity)` | Describes how the bitmap is positioned.

    - ### Methods inherited from class com.avaya.clientservices.media.gui.Plane

      `containsPoint, setBounds, setPosition, setRenderer, setVisibility, time`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitmapPlane

          public BitmapPlane()

      Constructor

    - #### BitmapPlane

          public BitmapPlane​(android.content.Context context)

      Constructor
      Parameters:
        `context` - parent context

  - ### Method Detail

    - #### getBitmapLayer

          public BitmapLayer getBitmapLayer()

      Gets the underlying `BitmapLayer`.
      Returns:
        The bitmap layer.

    - #### setBitmapPlaneListener

          public void setBitmapPlaneListener​(BitmapPlaneListener bitmapPlaneListener)

      Sets the `BitmapPlaneListener`.
      Parameters:
        `bitmapPlaneListener` - the object that will listen for touch events.

    - #### setBitmap

          public void setBitmap​(android.graphics.Bitmap bitmap)

      Sets the bitmap to be rendered.
      Parameters:
        `bitmap` - The bitmap to be rendered.

    - #### setGravity

          public void setGravity​(int gravity)

      Describes how the bitmap is positioned. Defaults to `Gravity.START | Gravity.TOP`.
      Parameters:
        `gravity` - See `Gravity`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `Destroyable`

    - #### onSurfaceCreated

          public void onSurfaceCreated()

      Specified by:
        `onSurfaceCreated` in interface `Renderable`

    - #### onSurfaceChanged

          public void onSurfaceChanged​(int width,
                                       int height)

      Specified by:
        `onSurfaceChanged` in interface `Renderable`

    - #### onDrawFrame

          public void onDrawFrame​(double time)

      Specified by:
        `onDrawFrame` in interface `Renderable`

    - #### onTouchEvent

          public boolean onTouchEvent​(double time,
                                      android.view.MotionEvent event,
                                      int surfaceHeight)

      Specified by:
        `onTouchEvent` in interface `Touchable`